﻿Imports System.Data
Imports System.Configuration
Imports MySql.Data.MySqlClient
Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim dt As New DataTable()
        dt.Columns.AddRange(New DataColumn(1) {New DataColumn("Language"), New DataColumn("Content")})
        dt.Rows.Add("English", "World is beautiful.")
        dt.Rows.Add("Hindi", "दुनिया सुंदर है।")
        dt.Rows.Add("Marathi", "जग सुंदर आहे.")
        dt.Rows.Add("Gujarati", "વિશ્વ સુંદર છે.")
        dt.Rows.Add("Urdu", "دنیا خوبصورت ہے.")
        dt.Rows.Add("Persian", "جهانی زیبا است.")
        dt.Rows.Add("Arabic", "العالم هو جميل.")
        dt.Rows.Add("Tamil", "உலக அழகாக இருக்கிறது.")
        dt.Rows.Add("Telugu", "ప్రపంచ అందమైన ఉంది.")
        GridView1.DataSource = dt
        GridView1.DataBind()
    End Sub
    Protected Sub Save(sender As Object, e As EventArgs)
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As New MySqlConnection(constr)
            For Each row As GridViewRow In GridView1.Rows
                Using cmd As New MySqlCommand("INSERT INTO Languages VALUES(@Language, @Content)", con)
                    cmd.Parameters.AddWithValue("@Language", row.Cells(0).Text)
                    cmd.Parameters.AddWithValue("@Content", row.Cells(1).Text)
                    con.Open()
                    cmd.ExecuteNonQuery()
                    con.Close()
                End Using
            Next
        End Using
    End Sub
End Class
